VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vcenter::vm::hardware::BootDefinitions Class Reference

Defines the type descriptors for the Boot API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | updateOutput

## Detailed Description

Defines the type descriptors for the Boot API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::BootDefinitions::createSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.BootTypes.Type))));
                    fields.Add("efi_legacy_boot", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("network_protocol", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol))));
                    fields.Add("delay", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("retry", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("retry_delay", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("enter_setup_mode", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("EFI", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("efi_legacy_boot", true), new vmware.vapi.data.UnionValidator.FieldData("network_protocol", true)});
                    caseFields.Add("BIOS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.boot.create_spec", fields, typeof(vmware.vcenter.vm.hardware.BootTypes.CreateSpec), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::BootDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::BootDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.BootDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::BootDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.BootTypes.Type)));
                    fields.Add("efi_legacy_boot", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("network_protocol", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol))));
                    fields.Add("delay", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("retry", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("retry_delay", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("enter_setup_mode", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("EFI", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("efi_legacy_boot", false), new vmware.vapi.data.UnionValidator.FieldData("network_protocol", false)});
                    caseFields.Add("BIOS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.boot.info", fields, typeof(vmware.vcenter.vm.hardware.BootTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::BootDefinitions::updateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("vm", new vmware.vapi.bindings.type.IdType("VirtualMachine"));
                    fields.Add("spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vcenter.vm.hardware.BootDefinitions.updateSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::vcenter::vm::hardware::BootDefinitions::updateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vcenter::vm::hardware::BootDefinitions::updateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.BootTypes.Type))));
                    fields.Add("efi_legacy_boot", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("network_protocol", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vcenter.vm.hardware.BootTypes.NetworkProtocol))));
                    fields.Add("delay", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("retry", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("retry_delay", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("enter_setup_mode", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("EFI", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("efi_legacy_boot", true), new vmware.vapi.data.UnionValidator.FieldData("network_protocol", true)});
                    caseFields.Add("BIOS", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vcenter.vm.hardware.boot.update_spec", fields, typeof(vmware.vcenter.vm.hardware.BootTypes.UpdateSpec), validators, false, null);
                })

The documentation for this class was generated from the following file:

- BootDefinitions.cs